#include <iostream>
using namespace std;
int main () {
	freopen("traverse.in", "r", stdin);
	freopen("traverse.out", "w", stdout);
	ios::sync_with_stdio(false);
	cin.tie(nullptr), cout.tie(nullptr);
	int T;
	cin >> T;
	while (T --) {
		cout << 0 << '\n';
	}
	return 0;
}
